#!/bin/bash

. ../.skel/nextcloud-app/build-nextcloud-app

export ARCHS=(amd64 arm64)

function _ncarch() {
    case "$1" in
	amd64)
	    echo x86_64
	    ;;
	arm64)
	    echo aarch64
	    ;;
	*)
	    echo no such architecture
	    exit 1
    esac
}

function _binarch() {
    case "$1" in
	amd64)
	    echo amd64
	    ;;
	arm64)
	    echo aarch64
	    ;;
	*)
	    echo no such architecture
	    exit 1
    esac
}

function post_chown() {
    chmod 0755 "${PKGDIR}/usr/lib/nextcloud/nextcloud-apps/memories/bin-ext/exiftool/build_tag_lookup"
    chmod 0755 "${PKGDIR}/usr/lib/nextcloud/nextcloud-apps/memories/bin-ext/exiftool/exiftool"
    chmod 0755 "${PKGDIR}/usr/lib/nextcloud/nextcloud-apps/memories/bin-ext/exiftool/validate"
}

post_prepare() {
    NCARCH=$(_ncarch $ARCH)
    for oarch in ${ARCHS[@]}; do
        if [[ "$(_ncarch $oarch)" == "${NCARCH}" ]]; then
            continue
        fi
        binarch=$(_binarch $oarch)
	rm -f ${PKGDIR}/usr/lib/nextcloud/nextcloud-apps/memories/bin-ext/*-${binarch}*
	rm -f ${PKGDIR}/usr/lib/nextcloud/nextcloud-apps/memories/bin-ext/exiftool/*-${binarch}*
    done
    github_changelog pulsejet/memories
}

export ADDITIONAL_DEPS=", sensible-utils"

build_nextcloud_app memories 28

